# $Revision: 1.26 $, $Date: 2009/06/06 23:20:36 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libenchant - generic spell checking library
Summary(pl.UTF-8):	libenchant - ogólna biblioteka sprawdzania pisowni
Name:		enchant
Version:	1.5.0
Release:	1
License:	LGPL v2
Group:		Libraries
Source0:	http://www.abisource.com/downloads/enchant/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	7dfaed14e142b4a0004b770c9568ed02
URL:		http://www.abisource.com/enchant/
BuildRequires:	aspell-devel >= 2:0.50.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.12.0
BuildRequires:	hspell-devel >= 0.9-3
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	uspell-devel >= 1.1.0
Suggests:	%{name}-backend
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project aims to provide an efficient, extensible abstraction for
dealing with different spell checking libraries. Enchant is meant to
provide a generic interface into various existing spell checking
libraries. These include, but are not limited to: Aspell/Pspell,
Ispell, Hspell, Uspell.

Enchant is also meant to be used in a cross-platform environment. Part
of this means that Enchant wants to limit its number of external
dependencies to 0, or as close is as humanly possible. Also, any
enchant consumer (i.e. a Word Processor) should not need to know about
what backend providers Enchant knows about. In fact, Enchant shouldn't
even need to know this information itself. To accomplish this, all of
Enchant's providers are dynamically loaded modules.

Enchant is also meant to be used in a multi-user environment, such as
Unix. It is preferable to have both a $USER and a $GLOBAL location for
both provider modules and for dictionaries themselves, when possible.
Enchant's module location algorithm takes this into account, and gives
preference to the $USER resources, when found.

%description -l pl.UTF-8
Celem projektu jest dostarczenie wydajnej i rozszerzalnej abstrakcji
do obsługi różnych bibliotek kontroli pisowni. Enchant ma dostarczać
ogólny interfejs do różnych istniejących bibliotek. Obejmują one (ale
nie są ograniczone do): Aspella/Pspella, Ispella, Hspella, Uspella.

Enchant ma być także używany w środowisku wieloplatformowym. Oznacza
to między innymi, że Enchant ma mieć ograniczoną liczbę zewnętrznych
zależności do zera lub najbliżej jak to możliwe. Także dowolny klient
enchanta (czyli procesor tekstu) nie powinien potrzebować wiedzy,
jakie backendy są dostępne dla Enchanta. W rzeczywistości nawet
Enchant nie powinien potrzebować takiej informacji. Aby to osiągnąć,
wszystkie backendy Enchanta są dynamicznie ładowanymi modułami.

Enchant ma być także używany w środowisku wieloużytkownikowym, takim
jak Unix. Preferuje się, żeby istniały zarówno specyficzne dla
użytkownika jak i globalne lokalizacje zarówno dla modułów jak i
samych słowników, jeśli to możliwe. Algorytm poszukiwania modułów
Enchanta bierze to pod uwagę i preferuje zasoby użytkownika, jeśli
takie znajdzie.

%package devel
Summary:	Header files for enchant library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki enchant
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.0

%description devel
Header files for enchant library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki enchant.

%package static
Summary:	Static enchant library
Summary(pl.UTF-8):	Statyczna biblioteka enchant
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static enchant library.

%description static -l pl.UTF-8
Statyczna biblioteka enchant.

%package aspell
Summary:	aspell provider module for Enchant
Summary(pl.UTF-8):	Moduł obsługujący aspella dla Enchanta
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	aspell >= 2:0.50.0
Provides:	%{name}-backend

%description aspell
aspell provider module for Enchant.

%description aspell -l pl.UTF-8
Moduł obsługujący aspella dla Enchanta.

%package hspell
Summary:	hspell provider module for Enchant
Summary(pl.UTF-8):	Moduł obsługujący hspella dla Enchanta
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-backend

%description hspell
hspell provider module for Enchant.

%description hspell -l pl.UTF-8
Moduł obsługujący hspella dla Enchanta.

%package ispell
Summary:	ispell provider module for Enchant
Summary(pl.UTF-8):	Moduł obsługujący ispella dla Enchanta
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-backend

%description ispell
ispell provider module for Enchant.

%description ispell -l pl.UTF-8
Moduł obsługujący ispella dla Enchanta.

%package myspell
Summary:	myspell provider module for Enchant
Summary(pl.UTF-8):	Moduł obsługujący myspella dla Enchanta
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-backend

%description myspell
myspell provider module for Enchant.

%description myspell -l pl.UTF-8
Moduł obsługujący myspella dla Enchanta.

%package uspell
Summary:	uspell provider module for Enchant
Summary(pl.UTF-8):	Moduł obsługujący uspella dla Enchanta
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-backend

%description uspell
uspell provider module for Enchant.

%description uspell -l pl.UTF-8
Moduł obsługujący uspella dla Enchanta.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-binreloc \
	%{!?with_static_libs:--disable-static} \
	--with-ispell-dir=/usr/%{_lib}/ispell \
	--with-myspell-dir=/usr/share/myspell \
	--with-uspell-dir=/usr/share/uspell

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useless - modules loaded through libgmodule
rm -f $RPM_BUILD_ROOT%{_libdir}/enchant/*.{la,a}
#Zemberek is an open source Natural Language Processing library for Turkic languages
rm -f $RPM_BUILD_ROOT%{_libdir}/enchant/libenchant_zemberek.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_bindir}/enchant
%attr(755,root,root) %{_bindir}/enchant-lsmod
%attr(755,root,root) %{_libdir}/libenchant.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libenchant.so.1
%dir %{_libdir}/enchant
%{_datadir}/enchant
%{_mandir}/man1/enchant.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libenchant.so
%{_libdir}/libenchant.la
%{_includedir}/enchant
%{_pkgconfigdir}/enchant.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libenchant.a
%endif

%files aspell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/enchant/libenchant_aspell.so

%files hspell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/enchant/libenchant_hspell.so

%files ispell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/enchant/libenchant_ispell.so

%files myspell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/enchant/libenchant_myspell.so

%files uspell
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/enchant/libenchant_uspell.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: enchant.spec,v $
Revision 1.26  2009/06/06 23:20:36  megabajt
- /usr/lib64/ispell on x86_64
- more verbose files

Revision 1.25  2009/05/29 08:24:04  amateja
- updated to 1.5.0

Revision 1.24  2009/05/29 08:21:49  amateja
- updated to 1.4.2

Revision 1.23  2008/08/10 11:35:26  patrys
- rel 3

Revision 1.22  2008-05-08 21:12:37  blues
- rel.2 - get rid of stupid banners, use suggests

Revision 1.21  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.19  2006/11/14 21:46:20  qboosh
- updated to 1.3.0

Revision 1.18  2006/08/12 09:21:42  ankry
- formatting

Revision 1.17  2006/07/13 17:22:12  freetz
- rel.2, updated deps, --as-needed for LDFLAGS

Revision 1.16  2006/05/07 20:39:26  charles
- updated to 1.2.6
- BR hspell-devel up to 0.9-3 (zlib-devel deps)
- added without static_libs bcond

Revision 1.15  2006/04/13 16:54:40  freetz
- 1.2.5

Revision 1.14  2006/02/19 13:09:38  freetz
- banner updated

Revision 1.13  2006/02/19 13:08:06  freetz
- fixed descriptions

Revision 1.12  2006/02/19 13:03:56  freetz
- added hspell provider, remove R(post): /sbin/ldconfig (auto-detected),
  rel.2

Revision 1.11  2005/12/26 21:38:47  qboosh
- ldconfig dep

Revision 1.10  2005/12/26 20:31:24  aredridel
- add suggestion banner

Revision 1.9  2005/10/24 18:30:14  qboosh
- updated to 1.2.0

Revision 1.8  2005/08/17 19:47:37  paladine
- updated to 1.1.6

Revision 1.7  2005/01/05 22:40:01  havner
- rel 2 for aspell 0.50 rebuild

Revision 1.6  2004/12/01 19:22:12  qboosh
- updated to 1.1.5, strict internal deps, aspell epoch

Revision 1.5  2004/01/28 17:51:09  undefine
- ac/am/lt, release 2

Revision 1.4  2003/12/23 09:09:37  trojan
- updated to 1.1.3

Revision 1.3  2003/12/08 11:25:40  trojan
- updated to 1.1.2

Revision 1.2  2003/10/30 20:13:42  qboosh
- enabled uspell support

Revision 1.1  2003/10/30 18:50:01  qboosh
- new
